﻿
@page
@using MIMS.Portal.Core.Domains;

<div class="x_panel">
    <div class="x_title">
        <h2>مشخصات پذیرنده</h2>
        <ul class="nav navbar-right panel_toolbox">
            <li>
                <a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
            </li>
            <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
            </li>
            <li>
                <a class="close-link"><i class="fa fa-close"></i></a>
            </li>
        </ul>
        <div class="clearfix"></div>
    </div>
    <div class="x_panel">
        <div class="container">
            <table class="table table-striped">
                <tbody>
                    <tr>
                        <form action="/partner/create" method="post">
                            <td colspan="1">
                                <fieldset>

                                    <div class="row form-group">
                                        <label class="col-md-4 control-label">کد ملی:</label>
                                        <div class="col-md-8 inputGroupContainer">
                                            <div class="input-group"><input id="NationalCode" name="NationalCode" placeholder="کد ملی" class="form-control" required="true" value="" type="text"></div>
                                        </div>
                                    </div>
                                    <div class="row form-group">
                                        <label class="col-md-4 control-label">نام:</label>
                                        <div class="col-md-8 inputGroupContainer">
                                            <div class="input-group"><input id="Name" name="Name" placeholder="نام" class="form-control" required="true" value="" type="text"></div>
                                        </div>
                                    </div>
                                    <div class="row form-group">
                                        <label class="col-md-4 control-label">نام خانوادگی:</label>
                                        <div class="col-md-8 inputGroupContainer">
                                            <div class="input-group"><input id="Family" name="Family" placeholder="نام خانوادگی" class="form-control" required="true" value="" type="text"></div>
                                        </div>
                                    </div>
                                    <div class="row form-group">
                                        <label class="col-md-4 control-label">نام پدر:</label>
                                        <div class="col-md-8 inputGroupContainer">
                                            <div class="input-group"><input id="FatherName" name="FatherName" placeholder="نام پدر" class="form-control" required="true" value="" type="text"></div>
                                        </div>
                                    </div>
                                    <div class="row form-group">
                                        <label class="col-md-4 control-label">نام لاتین:</label>
                                        <div class="col-md-8 inputGroupContainer">
                                            <div class="input-group"><input id="EnglishName" name="EnglishName" placeholder="نام لاتین" class="form-control" required="true" value="" type="text"></div>
                                        </div>
                                    </div>
                                    <div class="row form-group">
                                        <label class="col-md-4 control-label">نام خانوادگی لاتین:</label>
                                        <div class="col-md-8 inputGroupContainer">
                                            <div class="input-group"><input id="EnglishFamily" name="EnglishFamily" placeholder="نام خانوادگی لاتین" class="form-control" required="true" value="" type="text"></div>
                                        </div>
                                    </div>

                                    <div class="row form-group">
                                        <label class="col-md-4 control-label">نام پدر لاتین:</label>
                                        <div class="col-md-8 inputGroupContainer">
                                            <div class="input-group"><input id="EnglishFatherName" name="EnglishFatherName" placeholder="نام پدر لاتین" class="form-control" required="true" value="" type="text"></div>
                                        </div>
                                    </div>
                                    <div class="row form-group">
                                        <label class="col-md-4 control-label">شماره شناسنامه:</label>
                                        <div class="col-md-8 inputGroupContainer">
                                            <div class="input-group"><input id="IdentityNumber" name="IdentityNumber" placeholder="شماره شناسنامه" class="form-control" value="" type="text"></div>
                                        </div>
                                    </div>


                                    <div class="row form-group">
                                        <label class="col-md-4 control-label">تاریخ تولد:</label>
                                        <div class="col-md-8 inputGroupContainer">
                                            <div class="input-group"><input id="birthDate" name="birthDate" placeholder="تاریخ تولد" class="form-control" required="true" value="" type="text"></div>
                                        </div>
                                    </div>
                                    <div class="row form-group">
                                        <label class="col-md-4 control-label">جنسیت:</label>
                                        <div class="col-md-8 inputGroupContainer">
                                            <select id="Gender" name="Gender" class="form-control" required="true" value="" type="text">
                                                <option value="1">زن</option>
                                                <option value="2">مرد</option>
                                            </select>
                                        </div>
                                    </div>

                                    <div class="row form-group">
                                        <label class="col-md-4 control-label">موبایل:</label>
                                        <div class="col-md-8 inputGroupContainer">
                                            <div class="input-group"><input id="Mobile" name="Mobile" placeholder="موبایل" class="form-control" required="true" value="" type="text"></div>
                                        </div>
                                    </div>
                                    <div class="row form-group">
                                        <label class="col-md-4 control-label">تلفن با کد شهر:</label>
                                        <div class="col-md-8 inputGroupContainer">
                                            <div class="input-group"><input id="Telephone" name="Telephone" placeholder="تلفن" class="form-control" required="true" value="" type="text"></div>
                                        </div>
                                    </div>

                                    <input type="hidden" id="MerchantId" name="MerchantId" value=@ViewBag.merchantId>

                                    <div class="row form-group">
                                        <div class="col-md-8 inputGroupContainer">
                                            <button id="btnLogin" type="submit" class="btn ok hvr-shutter-out-horizontal mb-3">ثبت اطلاعات </button>
                                        </div>
                                    </div>

                                </fieldset>
                            </td>


                        </form>
                    </tr>
                </tbody>
            </table>
        </div>

    </div>
    <div class="panel-body">
        <div class="table-responsive">
            <table class="table table-striped table-bordered table-list">
                <thead class="thead-inverse">
                    <tr>
                        @*<th class="hidden-xs">شناسه </th>*@
                        <th>نام</th>
                        <th>نام خانوادگی</th>
                        <th>نام پدر</th>
                        <th>نام لاتین</th>
                        <th>نام خانوادگی لاتین</th>
                        <th>نام پدر لاتین</th>
                        <th>کد ملی</th>
                        <th>محل تولد</th>
                        <th>جنسیت</th>
                        <th>شماره شناسنامه</th>
                        <th>کد پستی</th>
                        <th>موبایل</th>
                        <th>تلفن ثابت</th>

                        <th><em class="fa fa-cog"></em></th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (Partner item in ViewBag.Partners)
                    {
                        <tr>
                            @*<td class="hidden-xs">@item.Id</td>*@
                            <td>@item.Name</td>
                            <td>@item.Family</td>
                            <td>@item.FatherName</td>
                            <td>@item.EnglishName</td>
                            <td>@item.EnglishFamily</td>
                            <td>@item.EnglishFatherName</td>
                            <td>@item.NationalCode</td>
                            <td>@item.BirthPlace</td>
                            <td>@item.Gender</td>
                            <td>@item.IdentityNumber</td>
                            <td>@item.PostalCode</td>
                            <td>@item.Mobile</td>
                            <td>@item.Telephone</td>

                            <td align="center">

                                <a class="btn btn-default" href="/Partner/delete?id=@item.Id&&MerchantId=@ViewBag.merchantId"><em class="fa fa-trash"></em></a>

                            </td>

                        </tr>
                    }

                </tbody>
            </table>
        </div>
    </div>
</div>

